ByCloud Docs
GuidesCLIAPISDK
get/v1/networks/{network_id}

Get network

Get details of a specific network

Path Parameters

network_id

string<uuid>required

path

Network ID

Example: "550e8400-e29b-41d4-a716-446655440000"

Responses

200

Network details

Content-Type: application/json

network

objectoptional
401

Authentication required or token invalid

Content-Type: application/json

error

objectrequired
404

Resource not found

Content-Type: application/json

error

objectrequired
500

Internal server error

Content-Type: application/json

error

objectrequired
curl -X GET "https://api.spo1.mycloud.com/v1/networks/550e8400-e29b-41d4-a716-446655440000" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json"

Response

Network details

{
"network": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"crn": "crn:spo1:network:network:550e8400-e29b-41d4-a716-446655440000",
"name": "private-network",
"description": "Internal private network",
"status": "ACTIVE",
"mtu": 1500,
"port_security_enabled": true,
"dns_domain": "mycloud.local",
"subnets": [
"550e8400-e29b-41d4-a716-446655440000"
],
"tags": [
"web",
"frontend"
],
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}
}